uses
  testlib, sysutils;

var
  ja, pa: string;
  jn, pn: longint;

begin
ja := uppercase(ans.readstring);
pa := uppercase(ouf.readstring);

if (pa <> 'YES') and (pa <> 'NO') then
	quit(_pe, '"YES" or "NO" expected, "' + pa + '" found');

if ja <> pa then
	quit(_wa, 'expected: ' + ja + ', found: ' + pa);

if (ja = 'YES') and (pa = 'YES') then
	begin
	jn := ans.readlongint;
	pn := ouf.readlongint;
	if jn <> pn then
		quit(_wa, 'expected: ' + IntToStr(jn) + ', found: ' + IntToStr(pn));
	end;

quit(_ok, ja + ' ' + IntToStr(jn));
end.